<?php

namespace EventPortal\Providers;

use Illuminate\Support\AggregateServiceProvider;
use OwenIt\Auditing\AuditingServiceProvider;
use Spatie\Enum\Laravel\EnumServiceProvider;
use Spatie\Permission\PermissionServiceProvider;
use Tightenco\Ziggy\ZiggyServiceProvider;

class EventPortalServiceProvider extends AggregateServiceProvider
{
    /** @var array<string> */
    protected $providers = [
        AppServiceProvider::class,
        AuditingServiceProvider::class,
        BladeServiceProvider::class,
        EnumServiceProvider::class,
        PermissionServiceProvider::class,
        ZiggyServiceProvider::class,
    ];
}
